Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTree.EmptySelectionModel

    java.lang.Object
      |
      +--javax.swing.tree.DefaultTreeSelectionModel
            |
            +--javax.swing.JTree.EmptySelectionModel

protected static class JTree.EmptySelectionModel
extends DefaultTreeSelectionModel

EmptySelectionModel is a TreeSelectionModel that does not allow anything to be selected.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected static JTree.EmptySelectionModel` | `sharedInstance` Unique shared instance.

Fields inherited from class javax.swing.tree.DefaultTreeSelectionModel
`changeSupport, leadIndex, leadPath, leadRow, listenerList, listSelectionModel, rowMapper, selection, SELECTION_MODE_PROPERTY, selectionMode`

Constructor Summary
`protected` | `JTree.EmptySelectionModel()`

Method Summary
`void` | `addSelectionPaths(TreePath[] paths)` A null implementation that adds nothing
`void` | `removeSelectionPaths(TreePath[] paths)` A null implementation that removes nothing
`void` | `setSelectionPaths(TreePath[] pPaths)` A null implementation that selects nothing
`static JTree.EmptySelectionModel` | `sharedInstance()` Returns a shared instance of an empty selection model

Methods inherited from class javax.swing.tree.DefaultTreeSelectionModel
`addPropertyChangeListener, addSelectionPath, addTreeSelectionListener, arePathsContiguous, canPathsBeAdded, canPathsBeRemoved, clearSelection, clone, fireValueChanged, getLeadSelectionPath, getLeadSelectionRow, getMaxSelectionRow, getMinSelectionRow, getRowMapper, getSelectionCount, getSelectionMode, getSelectionPath, getSelectionPaths, getSelectionRows, insureRowContinuity, insureUniqueness, isPathSelected, isRowSelected, isSelectionEmpty, notifyPathChange, removePropertyChangeListener, removeSelectionPath, removeTreeSelectionListener, resetRowSelection, setRowMapper, setSelectionMode, setSelectionPath, toString, updateLeadIndex`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sharedInstance

    protected static final JTree.EmptySelectionModel sharedInstance

  Unique shared instance.

Constructor Detail

### JTree.EmptySelectionModel

    protected JTree.EmptySelectionModel()

Method Detail

### sharedInstance

    public static JTree.EmptySelectionModel sharedInstance()

  Returns a shared instance of an empty selection model

### setSelectionPaths

    public void setSelectionPaths(TreePath[] pPaths)

  A null implementation that selects nothing
  Overrides:
    setSelectionPaths in class DefaultTreeSelectionModel

### addSelectionPaths

    public void addSelectionPaths(TreePath[] paths)

  A null implementation that adds nothing
  Overrides:
    addSelectionPaths in class DefaultTreeSelectionModel

### removeSelectionPaths

    public void removeSelectionPaths(TreePath[] paths)

  A null implementation that removes nothing
  Overrides:
    removeSelectionPaths in class DefaultTreeSelectionModel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.